Description: Fix build gainst giflib5
Origin: vendor, https://gitweb.gentoo.org/repo/gentoo.git/plain/x11-misc/xplanet/files/xplanet-1.3.1-giflib.patch
Bug-Debian: https://bugs.debian.org/803293
Forwarded: http://xplanet.sourceforge.net/FUDforum2/index.php?t=msg&th=684&start=0&S=e0bbfbd8fb9dd4735fe088a3bc115c97
Last-Update: 2019-10-05

--- a/src/libimage/gif.c
+++ b/src/libimage/gif.c
@@ -20,6 +20,7 @@
 
 #include <stdio.h>
 #include <stdlib.h>
+#include <stdbool.h>
 #include <string.h>
 
 #include <gif_lib.h>
@@ -179,7 +180,11 @@
 	}
     }
     
+#if GIFLIB_MAJOR >= 5
+    if (DGifCloseFile(GifFile, NULL) == GIF_ERROR) {
+#else
     if (DGifCloseFile(GifFile) == GIF_ERROR) {
+#endif
 	return(0);
     }
 
@@ -240,7 +245,7 @@
  *   Also non of the parameter are allocated by this routine.
  *   This function returns GIF_OK if succesfull, GIF_ERROR otherwise.
  ******************************************************************************/
-static int
+int
 QuantizeBuffer(unsigned int Width,
                unsigned int Height,
                int *ColorMapSize,
@@ -493,7 +498,11 @@
 static void QuitGifError(GifFileType *GifFile)
 {
     fprintf(stderr, "Error writing GIF file\n");
+#if GIFLIB_MAJOR >= 5
+    if (GifFile != NULL) EGifCloseFile(GifFile, NULL);
+#else
     if (GifFile != NULL) EGifCloseFile(GifFile);
+#endif
 }
 
 int 
@@ -589,7 +598,11 @@
 	Ptr += width;
     }
 
+#if GIFLIB_MAJOR >= 5
+    if (EGifCloseFile(GifFile, NULL) == GIF_ERROR)
+#else
     if (EGifCloseFile(GifFile) == GIF_ERROR)
+#endif
 
     {
 	QuitGifError(GifFile);
